# Unit keyboard

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

## Description

Driver->HID->`Keyboard` - `Keyboard` Driver.

## Uses

- console
- util
- PS2_KEYBOARD_ISR

## Overview

### Classes, Interfaces, Objects and Records

Name | Description
--- | ---
Packed Record `TKeyInfo` |

### Functions and Procedures

`procedure init(keyboard_layout : array of TKeyInfo);`
`procedure hook(proc : pp_hook_method);`
`procedure lang_USA();`

### Types

`PKeyInfo = ˆTKeyInfo;`
`pp_hook_method = procedure(key_info : TKeyInfo);`

### Variables

`key_matrix: array [1..256] of TKeyInfo;`
`key_matrix_shift: array [1..256] of TKeyInfo;`
`captin_hook: pp_hook_method = nil;`
`is_shift: boolean = false;`
`is_ctrl: boolean = false;`
`is_alt: boolean = false;`

## Description

### Functions and Procedures

`procedure init(keyboard_layout : array of TKeyInfo);`

`procedure hook(proc : pp_hook_method);`

`procedure lang_USA();`

### Types

`PKeyInfo = ˆTKeyInfo;`

`pp_hook_method = procedure(key_info : TKeyInfo);`

### Variables

`key_matrix: array [1..256] of TKeyInfo;`

`key_matrix_shift: array [1..256] of TKeyInfo;`

`captin_hook: pp_hook_method = nil;`

`is_shift: boolean = false;`

`is_ctrl: boolean = false;`

`is_alt: boolean = false;`

## Author

- Aaron Hance <ah@aaronhance.me>

Generated by PasDoc 0.15.0.